Bug 146159 - VPN connection import/export
Summary: VPN connection import/export
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Unclassified
Component: Control Module (show other bugs)
Version: 0.7
Platform: Fedora RPMs Linux
: NOR wishlist with 30 votes (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
: 214500 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-05-30 16:38 UTC by Roland Wolters
Modified: 2011-06-07 02:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Wolters 2007-05-30 16:38:50 UTC
Version:           svn20070409 (using KDE KDE 3.5.6)
Installed from:    Fedora RPMs

In contrast to the nm-applet of NetworkManager knetworkmanager does not provide a button/mechanism to import or export VPN configurations.
Please add these.

And, btw., in my current version the knetworkmanager does not feature a menu entry "Configure VPN connection" when I right-click on the applet and choose "VPN Connections", you might want to add that as well.
Comment 1 Will Stephenson 2009-02-05 14:37:18 UTC
*** This bug has been confirmed by popular vote. ***
Comment 2 Will Stephenson 2009-11-16 10:22:00 UTC
*** Bug 214500 has been marked as a duplicate of this bug. ***
Comment 3 S. Burmeister 2009-11-16 14:31:39 UTC
This is not only useful for VPN connections but at least also WLAN, e.g. for University networks.
Comment 4 Lamarque V. Souza 2011-06-07 02:38:56 UTC
Git commit ec6e54763c009867444a6780322d75a289055642 by Lamarque V. Souza.
Committed on 07/06/2011 at 02:37.
Pushed by lvsouza into branch 'master'.

Import VPN connections from configuration files. Only VPNC is
implemented so far.
Thanks Rajeesh K Nambiar for implementing this patch.

BUG: 146159
BUG: 182984
REVIEW: 101419

M  +20   -0    libs/ui/vpnpreferences.cpp     
M  +4    -0    libs/ui/vpnuiplugin.h     
M  +1    -1    settings/config/CMakeLists.txt     
M  +13   -0    settings/config/addeditdeletebuttonset.cpp     
M  +5    -0    settings/config/addeditdeletebuttonset.h     
M  +99   -1    settings/config/manageconnectionwidget.cpp     
M  +8    -0    settings/config/manageconnectionwidget.h     
M  +18   -0    vpnplugins/novellvpn/novellvpn.cpp     
M  +3    -0    vpnplugins/novellvpn/novellvpn.h     
M  +18   -0    vpnplugins/openvpn/openvpn.cpp     
M  +3    -0    vpnplugins/openvpn/openvpn.h     
M  +18   -0    vpnplugins/pptp/pptp.cpp     
M  +3    -0    vpnplugins/pptp/pptp.h     
M  +18   -0    vpnplugins/strongswan/strongswan.cpp     
M  +3    -0    vpnplugins/strongswan/strongswan.h     
M  +2    -0    vpnplugins/vpnc/nm-vpnc-service.h     
M  +265  -0    vpnplugins/vpnc/vpnc.cpp     
M  +19   -0    vpnplugins/vpnc/vpnc.h     

http://commits.kde.org/networkmanagement/ec6e54763c009867444a6780322d75a289055642
Comment 5 Lamarque V. Souza 2011-06-07 02:40:49 UTC
Git commit 6ce880e55d0cfdb39a089d95aaef6b4831977999 by Lamarque V. Souza.
Committed on 07/06/2011 at 02:32.
Pushed by lvsouza into branch 'nm09'.

Import VPN connections from configuration files. Only VPNC is
implemented so far.
Thanks Rajeesh K Nambiar for implementing this patch.

BUG: 146159
BUG: 182984
REVIEW: 101419

M  +3    -3    libs/internals/settings/vpnsecrets.h     
M  +20   -0    libs/ui/vpnpreferences.cpp     
M  +4    -0    libs/ui/vpnuiplugin.h     
M  +1    -1    settings/config/CMakeLists.txt     
M  +13   -0    settings/config/addeditdeletebuttonset.cpp     
M  +5    -0    settings/config/addeditdeletebuttonset.h     
M  +86   -1    settings/config/manageconnectionwidget.cpp     
M  +8    -0    settings/config/manageconnectionwidget.h     
M  +18   -0    vpnplugins/novellvpn/novellvpn.cpp     
M  +3    -0    vpnplugins/novellvpn/novellvpn.h     
M  +18   -0    vpnplugins/openvpn/openvpn.cpp     
M  +3    -0    vpnplugins/openvpn/openvpn.h     
M  +18   -0    vpnplugins/pptp/pptp.cpp     
M  +3    -0    vpnplugins/pptp/pptp.h     
M  +18   -0    vpnplugins/strongswan/strongswan.cpp     
M  +3    -0    vpnplugins/strongswan/strongswan.h     
M  +2    -0    vpnplugins/vpnc/nm-vpnc-service.h     
M  +276  -0    vpnplugins/vpnc/vpnc.cpp     
M  +19   -0    vpnplugins/vpnc/vpnc.h     
M  +28   -2    vpnplugins/vpnc/vpncprop.ui     
M  +29   -0    vpnplugins/vpnc/vpncwidget.cpp     

http://commits.kde.org/networkmanagement/6ce880e55d0cfdb39a089d95aaef6b4831977999